rm(list = ls())

###Load data
Metabolic_data<-read.csv("SupplementaryData.csv")
head(Metabolic_data)

##Subset data
Experimental_context<-subset(Metabolic_data, Metabolic_data$Exp_context=="SW Iceland_AC")
#Rename data
met.data<-Experimental_context

met.data$temp_K<-met.data$MeanT_Chamber+273.15
boltz <- 0.00008617343   ## Boltzmann constant
T0<-mean(met.data$temp_K)     ## Mean temperature
met.data$temp.kT<-(met.data$temp_K-T0)/(boltz*met.data$temp_K*T0)

#MTE models for each subset of the data per SP
met.dataSP<-subset(met.data, SP=="Salmo trutta")

m	<-lm(log(MR) ~log(Weight_g)  + temp.kT + S, data=met.dataSP)
anova(m)

